"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require("react");

var _react2 = _interopRequireDefault(_react);

require("./index.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CircleProgress = function CircleProgress(props) {
  var color = props.color,
      backColor = props.backColor,
      percent = props.percent,
      borderWidth = props.borderWidth,
      radius = props.radius,
      text = props.text;

  var leftRotateAngle = 0; // 左侧旋转的角度
  if (percent <= 50) {
    // 小于50%时旋转-180deg
    leftRotateAngle = 180;
  } else {
    // 大于50%
    leftRotateAngle = (1 - percent / 100) * 360;
  }

  var rightRotateAngle = 0; // 右侧旋转的角度
  if (percent === 0) {
    // 0%时旋转-180deg
    rightRotateAngle = 180;
  } else if (percent <= 50) {
    // 小于50%但不为0时
    rightRotateAngle = 180 - percent / 100 * 360;
  } else {
    // 大于50%时不旋转
    rightRotateAngle = 0;
  }

  // 外部容器的样式
  var boxStyle = {
    width: radius * 2 + "px",
    height: radius * 2 + "px"

    // 内部容器的样式
  };var halfBoxStyle = {
    width: radius + "px"

    // 左侧底部背景的样式
  };var leftBackStyle = {
    width: radius + "px",
    height: radius * 2 + "px",
    borderColor: backColor,
    borderWidth: borderWidth
    // 左侧显示进度的样式
  };var leftCoverStyle = {
    width: radius + "px",
    height: radius * 2 + "px",
    borderColor: color,
    transform: "rotate(-" + leftRotateAngle + "deg) translateZ(0)",
    borderWidth: borderWidth

    // 右侧底部背景的样式
  };var rightBackStyle = {
    width: radius + "px",
    height: radius * 2 + "px",
    borderColor: backColor,
    borderWidth: borderWidth
    // 右侧显示进度的样式
  };var rightCoverStyle = {
    width: radius + "px",
    height: radius * 2 + "px",
    borderColor: color,
    transform: "rotate(-" + rightRotateAngle + "deg) translateZ(0)",
    borderWidth: borderWidth
  };

  return _react2.default.createElement(
    "div",
    { className: "dyx-circle-box", style: boxStyle },
    _react2.default.createElement(
      "div",
      { className: "dyx-circle-progress-container dyx-circle-left-container dyx-circle-left-back-container", style: halfBoxStyle },
      _react2.default.createElement("div", { className: "dyx-circle-left-common-progress dyx-circle-left-back-progress", style: leftBackStyle })
    ),
    _react2.default.createElement(
      "div",
      { className: "dyx-circle-progress-container dyx-circle-left-container dyx-circle-left-cover-container", style: halfBoxStyle },
      _react2.default.createElement("div", { className: "dyx-circle-left-common-progress dyx-circle-left-cover-progress", style: leftCoverStyle })
    ),
    _react2.default.createElement(
      "div",
      { className: "dyx-circle-progress-container dyx-circle-right-container dyx-circle-right-back-container", style: halfBoxStyle },
      _react2.default.createElement("div", { className: "dyx-circle-right-common-progress dyx-circle-right-back-progress", style: rightBackStyle })
    ),
    _react2.default.createElement(
      "div",
      { className: "dyx-circle-progress-container dyx-circle-right-container dyx-circle-right-cover-container", style: halfBoxStyle },
      _react2.default.createElement("div", { className: "dyx-circle-right-common-progress dyx-circle-right-cover-progress", style: rightCoverStyle })
    ),
    text && _react2.default.createElement(
      "div",
      null,
      text
    )
  );
};

exports.default = CircleProgress;