'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _class, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _SemicircleProgress = require('./SemicircleProgress');

var _SemicircleProgress2 = _interopRequireDefault(_SemicircleProgress);

var _CircleProgress = require('./CircleProgress');

var _CircleProgress2 = _interopRequireDefault(_CircleProgress);

var _LineProgress = require('./LineProgress');

var _LineProgress2 = _interopRequireDefault(_LineProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var comData = { semicircle: _SemicircleProgress2.default, circle: _CircleProgress2.default, line: _LineProgress2.default };

var Progress = (_temp = _class = function (_Component) {
  _inherits(Progress, _Component);

  function Progress() {
    _classCallCheck(this, Progress);

    return _possibleConstructorReturn(this, (Progress.__proto__ || Object.getPrototypeOf(Progress)).apply(this, arguments));
  }

  _createClass(Progress, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          type = _props.type,
          borderWidth = _props.borderWidth;
      var _props2 = this.props,
          percent = _props2.percent,
          radius = _props2.radius;

      var MatchCom = comData[type] || _SemicircleProgress2.default;
      if (percent > 100 || percent < 0) {
        percent = 0;
      }
      if (radius < borderWidth) {
        radius = borderWidth;
      }
      return _react2.default.createElement(MatchCom, _extends({}, this.props, { percent: percent, radius: radius }));
    }
  }]);

  return Progress;
}(_react.Component), _class.propTypes = {
  type: _propTypes2.default.string,
  percent: _propTypes2.default.number,
  color: _propTypes2.default.string,
  backColor: _propTypes2.default.string,
  borderWidth: _propTypes2.default.number,
  radius: _propTypes2.default.number
}, _class.defaultProps = {
  type: 'semicircle',
  percent: 0,
  color: '#5584ff',
  backColor: '#ebecf0',
  borderWidth: 6,
  radius: 100
}, _temp);
exports.default = Progress;